Summary: A strings program for Linux processes
Name: pstrings
Version: 201306171523
Release: 1%{?dist}
License: BSD
Group: System Environment/Base
URL: https://github.com/andikleen/pstrings/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: %{name}-master.tar.gz
Patch0: pstrings-typo.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Pstrings is a strings program for Linux processes. You specify the pid,
and it dumps all the printable strings for the processes' address space.
This can be useful to get data out of uncooperative programs.

%prep
%setup -q -n %{name}-master
%patch0 -p1 -b .typo

%build
%{__make} CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1

%{__make} install PREFIX=%{buildroot}%{_prefix} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Jun 17 2013 Simon Matter <simon.matter@invoca.ch> 201306171523-1
- initial package
